jidb(1)

NAME
jidb - Fix interleaved motion using joint iterative deblurring

SYNOPSIS
jidb [options] inImage outImage

DESCRIPTION
This tool splits an interleaved input image into the pass images, co-registers them, and reconstructs a motion-corrected image

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Interleaving Options

--interleave-axis
    Define interleave axis: this is the through-slice direction of the acquisition. Supported values: "guess-from-input", "axial", "sagittal", "coronal", "interleave-x", "interleave-y", "interleave-z", where the default is "guess-from-input", or use one of the following:

    --guess-from-input
        Guess from input image [This is the default]

    --axial, -a
        Interleaved axial images

    --sagittal, -s
        Interleaved sagittal images

    --coronal, -c
        Interleaved coronal images

    --interleave-x, -x
        Interleaved along x axis

    --interleave-y, -y
        Interleaved along y axis

    --interleave-z, -z
        Interleaved along z axis

--passes <integer>, -p <integer>
    Number of interleaved passes [Default: 2]

--pass-weight <string>, -W <string>
    Set contribution weight for a pass in the form 'pass:weight'

  Motion Correction / Registration Options

--reference-image <image-path>, -R <image-path>
    Use a separate high-resolution reference image for registration [Default: NONE]

--registration-metric
    Registration metric for motion estimation by image-to-image registration. Supported values: "nmi", "mi", "cr", "msd", "cc", where the default is "msd", or use one of the following:

    --nmi
        Use Normalized Mutual Information for pass-to-refereence registration

    --mi
        Use standard Mutual Information for pass-to-refereence registration

    --cr
        Use Correlation Ratio for pass-to-refereence registration

    --msd
        Use Mean Squared Differences for pass-to-refereence registration [This is the default]

    --cc
        Use Cross-Correlation for pass-to-refereence registration

--import-xforms-path <path>
    Path of file from which to import transformations between passes. [Default: NONE]

--export-xforms-path <path>
    Path of file to which to export transformations between passes. [Default: NONE]

  Volume Injection Options

--injection-kernel-sigma <double>, -S <double>
    Standard deviation of Gaussian kernel for volume injection [Default: 1]

--injection-kernel-radius <integer>, -r <integer>
    Truncation radius of injection kernel [Default: 4]

  Deblurring Options

--psf
    Kernel for the inverse interpolation reconstruction Supported values: "box", "gaussian", or use one of the following:

    --box
        Box-shaped PSF

    --gaussian
        Gaussian-shaped PSF

--psf-scale <double>
    Set global scale factor for point spread function size, which itself is derived from the input image. [Default: 1]

  Optimization Options

--fourth-order-error, -f
    Use fourth-order (rather than second-order) error for optimization.

--num-iterations <integer>, -n <integer>
    Maximum number of inverse interpolation iterations [Default: 20]

--no-truncation, -T
    Turn off regional intensity truncatrion

--l-norm-weight <double>
    Set constraint weight for Tikhonov-type L-Norm regularization (0 disables constraint) [Default: 0]

  Output Options

--write-injected-image <image-path>
    Write initial volume injection image to path [Default: NONE]

--write-images-as-float, -F
    Write output images as floating point [default: same as input]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.